class Overloaded { // Overload -> Sobrecarga de metodos
    void mostrar(int a) {
       System.out.println ("El int vale " + a);
    }
    void mostrar(int a, int b) {
       System.out.println ("El primer int vale " + a + " y el segundo " + b);
    }
    double mostrar(double a) {
       System.out.println("El double vale a " + a + " y retorno su cuadrado");
       return a*a;
    }
/*
    // ERR: Este metodo daria error de compilacion:
    // "method mostrar(double) is already define in class Overloaded"
    void mostrar(double a) {
       System.out.println("El double vale a " + a + " y no retorno nada");
    }
*/
}
